# Authenticatie, invoer en resultaat

## Inboedelwaardebepaling voor Nederlandse woningen aanvragen

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/contentsvalue`

#### Headers

| Name                                        | Type   | Description                                                                     |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unieke API-sleutel van Altum. Maak er een via Mopsus(<https://mopsus.altum.ai>) |
| Content-Type                                | string | application/json                                                                |

#### Request Body

| Name                                            | Type   | Description                                               |
| ----------------------------------------------- | ------ | --------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>      | string | Postcode van het object                                   |
| housenumber<mark style="color:red;">\*</mark>   | number | Huisnummer                                                |
| houseaddition<mark style="color:red;">\*</mark> | string | Huisnummerletters en/of toevoeging                        |
| innersurfacearea                                | number | Binnenoppervlakte van het pand in m².                     |
| age\_mainbreadwinner                            | number | Leeftijd van de hoofdkostwinner van het onroerend goed.   |
| household\_composition                          | bool   | 0 voor alleenstaand; 1 voor gehuwd of samenwonend         |
| income\_mainbreadwinner                         | number | Netto maandinkomen van de hoofdkostwinner in euro.        |
| value\_audiovisualandPC                         | number | Waarde van de audiovisuele en computerapparatuur in euro. |
| value\_jewelery                                 | number | Waarde van de sieraden in euro.                           |
| value\_specialpossessions                       | number | Waarde van bijzondere bezittingen in euro.                |
| value\_tenantinterest                           | number | Waarde van het huurdersbelang in euro.                    |

{% tabs %}
{% tab title="200: OK Succesvolle reactie" %}

```
{
	"postcode": "1234AB",
	"housenumber": 1,
	"houseaddition": "A",
	"street": "Street",
	"city": "City",
	"housetype": "Tussenwoning",
	"buildyear": 2009,
	"innersurfacearea": 45.0,
	"monument_status": false,
	"building_function": "woonfunctie",
	"usage_indication": "Er is een gebruiker die geen (mede)eigenaar is.",
	"wall_material": "Steen",
	"wall_material_probability": {
		"Hout": "0.10",
		"Steen": "0.90"
	},
	"floor_material": "Steen/beton",
	"floor_material_probability": {
		"Hout": "0.01",
		"Steen/beton": "0.98",
		"Hout en steen/beton": "0.01",
		"Anders": "0.00"
	},
	"roof_material": "Dakpannen",
	"roof_material_probability": {
		"Dakpannen": "0.70",
		"Bitumen": "0.15",
		"EPDM": "0.12",
		"Kunststof": "0.03"
	},
	"roof_construction_type": "slanted",
	"output_total_household_value": 91834,
	"output_points_total": 73,
	"output_value_of_points": 91834,
	"output_index_value_1258": 1258,
	"output_value_delta": 0
}
```

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```
{
  "detail": "Not possible to estimate house hold value: Surface area exceeds 300m²"
}

{
  "detail": "Not possible to estimate house hold value: Income exceeds 4850 euros"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Voorbeeld verzoek

```
{
  "postcode": "1234AB",
  "housenumber": 1,
  "houseaddition": "A",
  "innersurfacearea": "300",
  "age_mainbreadwinner": "40",
  "household_composition": "True",
  "income_mainbreadwinner": "3000",
  "value_audiovisualandPC": "0",
  "value_jewelery": "0",
  "value_specialpossessions": "0",
  "value_tenantinterest": "0"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/verzekeren/inboedelwaarde-api/authenticatie-invoer-en-resultaat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
